<?php
// $Id: revision_moderation_actions.inc,v 1.2.4.2 2008/09/21 15:56:38 add1sun Exp $

/**
 * @file
 * Actions module support for revision moderation module.
 */

/**
 * Implementation of a Drupal action; enables revision moderation
 * on a node.
 */
function action_revision_moderation_enable($op, $edit = array(), &$node) {
  switch ($op) {
    case 'metadata':
      return array(
        'description' => t('Enable revision moderation on node'),
        'type' => t('Node'),
        'batchable' => TRUE,
        'configurable' => FALSE,
      );
      break;
    case 'do':
      revision_moderation_enable_moderation($node);
      node_save($node);
      break;
  }
}

/**
 * Implementation of a Drupal action; disables revision moderation
 * on a node.
 */
function action_revision_moderation_disable($op, $edit = array(), &$node) {
  switch ($op) {
    case 'metadata':
      return array(
        'description' => t('Disable revision moderation on node'),
        'type' => t('Node'),
        'batchable' => TRUE,
        'configurable' => FALSE,
      );
      break;
    case 'do':
      revision_moderation_disable_moderation($node);
      node_save($node);
      break;
  }
}
