<?php
// $Id: revision_moderation_workflow_ng.inc,v 1.1.2.3 2008/12/21 18:07:46 add1sun Exp $

/**
 * @file
 * Some workflow-ng actions for the revision moderation module.
 */

/**
 * Implementation of hook_action_info().
 */
function revision_moderation_action_info() {
  return array(
    'revision_moderation_workflow_ng_enable' => array(
      '#label' => t('Enable revision moderation for a content'),
      '#arguments' => array(
        'node' => array(
          '#entity' => 'node',
          '#label' => t('Content'),
        ),
      ),
      '#module' => t('Revision Moderation'),
    ),
    'revision_moderation_workflow_ng_disable' => array(
      '#label' => t('Disable revision moderation for a content'),
      '#arguments' => array(
        'node' => array(
          '#entity' => 'node',
          '#label' => t('Content'),
        ),
      ),
      '#module' => t('Revision Moderation'),
    ),
    'revision_moderation_workflow_ng_publish' => array(
      '#label' => t('Publish a content revision'),
      '#arguments' => array(
        'node' => array(
          '#entity' => 'node',
          '#label' => t('Content, which is to be published'),
        ),
      ),
      '#module' => t('Revision Moderation'),
    ),
  );
}

/**
 * Implementation of a worklfow-ng action: enables revision moderation.
 */
function revision_moderation_workflow_ng_enable($node) {
  revision_moderation_enable_moderation($node);
  return array('node' => $node);
}

/**
 * Implementation of a worklfow-ng action: disables revision moderation.
 */
function revision_moderation_workflow_ng_disable($node) {
  revision_moderation_disable_moderation($node);
  return array('node' => $node);
}

/**
 * Implementation of a worklfow-ng action: publishes a revision.
 */
function revision_moderation_workflow_ng_publish($node) {
  revision_moderation_publish($node->nid, $node->vid);
}
